> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifly.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# 080受信拒否を登録する

> 080受信拒否サービスに送信先を登録します。



## OpenAPI

````yaml /ja/api-reference/openapi.yaml post /projects/{projectId}/messages/text-message/blockservice/recipients
openapi: 3.0.3
info:
  title: Notifly API
  version: 1.0.0
  contact:
    email: contact@notifly.tech
servers:
  - url: https://api.notifly.tech
    description: Notifly APIサーバー
security: []
tags:
  - name: catalog
    x-group: カタログ
paths:
  /projects/{projectId}/messages/text-message/blockservice/recipients:
    post:
      summary: register-080-block-recipients
      operationId: register080BlockRecipients
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: プロジェクトIDです。
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - unsubscribeNo
                - recipientNoList
              properties:
                unsubscribeNo:
                  type: string
                  description: 080受信拒否番号です。最大25文字です。
                recipientNoList:
                  type: array
                  items:
                    type: string
                  description: 受信拒否として登録する電話番号です。最大10件です。
            example:
              unsubscribeNo: '0800000000'
              recipientNoList:
                - '0100000000'
                - '0100000001'
      responses:
        '200':
          description: 受信拒否を登録しました。
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
              example:
                success: true
        '400':
          description: リクエスト本文の形式が不正です。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleErrorResponse'
        '401':
          description: トークンが無効か期限切れのため、認証に失敗しました。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleErrorResponse'
        '500':
          description: サーバー内部エラーです。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    SimpleErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: エラーメッセージ
      example:
        error: some-error-message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: '`POST /authenticate`で発行したトークンをBearer形式で送信します。'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.